import subprocess

from lib_python import execution, logger, steps, variables


def disable_slide_lock():
    subprocess.call('adb shell sqlite3 /data/system/locksettings.db "\\"update locksettings set value=\'1\' where name=\'lockscreen.disabled=\';\\""', shell=True)
    execution.passed()

steps.new_step("Disable slide lock on device", disable_slide_lock)
